Subject: Re: [patch] d80211: use pfifo_qdisc_ops rather than d80211-specific qdisc

From: "John W. Linville" <[email-masked]>
Date: Wed, 1 Nov 2006 09:20:28 -0500

On Wed, Nov 01, 2006 at 11:28:05AM +0100, Jiri Benc wrote:
> On Wed, 25 Oct 2006 22:15:23 -0700, Simon Barber wrote:
> > Re: registering as a real protocol - yes this I have been going on about
> > for a while. This needs a few changes in how things work:
> > 
> > 1. Register as a real protocol.
> > 2. Change drivers to use netif_rx to receive frames (will also be more
> > efficient)
> 
> This is something I really want too.

I see Simon's suggestions in the category of making wireless devices
"1st class citizens".  I mostly agree with his suggestions, and they
are "on my list".  Do we see these as merge requirements?  I have them
as a lower priority than locking analysis/fixes, cfg80211 migration,
fullmac support, and driver porting.

Is this agreeable?  Or do we think this needs to happen before a
merge to -mm?

John
-- 
John W. Linville
[email-masked]